package com.ningdatech.pmapi.organization.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2023/3/28 上午10:11
 */

@Data
@ApiModel("单位列表综合筛选请求")
public class ReqSynthesizePO {

    @NotBlank(message = "父组织code不能为空")
    @ApiModelProperty("父组织code")
    private String parentCode;

    @ApiModelProperty("是否需要组织成员列表")
    private Boolean needMember;
}
